
From: "Mark A. Greer" <mgreer@mvista.com>

This patch fixes the incorrect definition of a macro that sets the transmit
parity to even on a cpm uart device.

Signed-off-by: Mark A. Greer <mgreer@mista.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ppc/cpm2.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-ppc/cpm2.h~ppc32-incorrect-define-in-include-asm-ppc-cpm2h include/asm-ppc/cpm2.h
--- 25/include/asm-ppc/cpm2.h~ppc32-incorrect-define-in-include-asm-ppc-cpm2h	2005-02-24 19:24:07.000000000 -0800
+++ 25-akpm/include/asm-ppc/cpm2.h	2005-02-24 19:24:07.000000000 -0800
@@ -531,7 +531,7 @@ typedef struct scc_uart {
 #define SCU_PSMR_RPM		((ushort)0x000c)
 #define SCU_PSMR_REVP		((ushort)0x0008)
 #define SCU_PSMR_TPM		((ushort)0x0003)
-#define SCU_PSMR_TEVP		((ushort)0x0003)
+#define SCU_PSMR_TEVP		((ushort)0x0002)
 
 /* CPM Transparent mode SCC.
  */
_
